#

API Docs for: 0.6.1
Show: Inherited Protected Private Deprecated

# Pool Class

Defined in: `src/utils/Pool.js:3`

For pooling objects that can be reused.

## Constructor

### `Pool`

()

Defined in `src/utils/Pool.js:3`

- Index
- Methods
- Properties

## Item Index

### Methods

- constructObject
- get
- release

### Properties

- objects
- type

## Methods

### `constructObject`

() Mixed

Defined in `src/utils/Pool.js:47`

Construct an object. Should be implmented in each subclass.

#### Returns:

Mixed:

### `get`

() Mixed

Defined in `src/utils/Pool.js:34`

Get an object

#### Returns:

Mixed:

### `release`

(

- `obj`

)

Defined in `src/utils/Pool.js:22`

Release an object after use

#### Parameters:

- `obj` Object

## Properties

### `objects`

Array

Defined in `src/utils/Pool.js:9`

The pooled objects

### `type`

Mixed

Defined in `src/utils/Pool.js:15`

Constructor of the objects